BookSmart

PLEASE make BookSmart 1.9 available for downloading

BookSmart 2.0 is not an improvement for me. I had to Force-Quit the software 3 times in about 30 minutes last night. Text handling is as glacial as ever. Merely clicking to the next page in preview mode can crash it. I could go on but I want my old BookSmart back. Please make it possible for people to downgrade from 2.0 and get back to the deveil they know.

Thank you.

Replytopic_b_normal
Posted by
jshook
May 30, 2009 5:44am PDT
Permalink
jshook
 

I’m going to stick with 1.9.8.2 since it has always worked for me.

Please Blurb, don’t remove that as an acceptable version to upload books with.

Posted by
deanej
May 30, 2009 8:18am PDT
Permalink
deanej
 

1.9 would be appreciated.  I’ve loaded 2.0 and it doesn’t seem to work for me in that’s its unbelievably sluggish. 

 I have a deadline on a book and would appreciate 1.9 please

Posted by
duncanslam
Jun 5, 2009 4:12am PDT
Permalink
duncanslam
 

Booksmart 2 will not work at all on my Mac G5 which has all the necessary bells and whistles. An SOS to Blurb HQ has not solved the problem. I also would like to go back to 1.9. How?

Posted by
Josef509
Jun 5, 2009 1:36pm PDT
Permalink
Josef509
 

I too would like to have the old version back.  This version seems to have put us back at least 2 or 3 versions.

Posted by
Australia
Jun 5, 2009 1:56pm PDT
Permalink
Australia
 

second that – I can’t get 2.0 to work at all :(

Posted by
waveman007
Jun 5, 2009 2:57pm PDT
Permalink
waveman007
 

Did any of you save a copy of your 1.9x download somewhere on your computer? If you did couldn’t you just uninstall 2.0 and reinstall your previous version? I saved my .dmg for 1.9.9 just in case I ever needed it again.

Posted by
RolandOG
Jun 5, 2009 5:20pm PDT
Permalink
RolandOG
 

Blurb – is there any way you can give us a link to the old version please? I too am unable to open my existing book, and it (along with the five others I have already published) was exported correctly. I have always been able to open and access previous books when I’ve upgraded BookSmart in the past, but alas, not this time.

Please please give us a link to download the old version! I have too many hours of work and vital information at stake, and I know there are others like me out there!

Tina

Posted by
tinzaroo
Jun 7, 2009 6:07pm PDT
Permalink
tinzaroo
 

For those of you who use a Macintosh and can’t get 2.0 to work: have you run Software Update and downloaded the recent Java update? BookSmart is written in Hava, and needs that update.

Posted by
jshook
Jun 8, 2009 6:59am PDT
Permalink
jshook
 

Roland0G, how do you save a copy of the old booksmart (1.9) somewhere on your computer?  I want to download the new software but with all the trouble, I’m a little scared to and want to have a backup just in case.  Can you give me a step-by-step?  Thanks!

Hilary

Posted by
cd12799
Jun 8, 2009 8:28am PDT
Permalink
cd12799
 

Hi, I’m so frustrated and wasting my time after trying to open 2.0 on my mac pro 10.5.

Yes I would like to download 1.9 again!!!

Pleeeeease

M

Posted by
mayumih
Jun 8, 2009 8:53am PDT
Permalink
mayumih
 

Hilary,

The key word in my first post was ‘downloaded’.  I downloaded the .DMG file to my Mac and then installed the software with it.  Then instead of deleting the .DMG I put it in a folder where I keep all of my downloaded software in case I ever need the original file again.  That’s what I meant by having a copy of 1.9x.  Do you still have the .DMG or .EXE file you downloaded?

Posted by
RolandOG
Jun 8, 2009 12:38pm PDT
Permalink
RolandOG
 

RolandOG,

It looks like it, I have a .exe file with a file type of PF file, it’s 69 KB’s.  Is this the right thing?  Please forgive my ignorance, although I can get around on the computer fine, I am definitely not a computer whiz.

Posted by
cd12799
Jun 8, 2009 8:48pm PDT
Permalink
cd12799
 

I want the previous version too, please!!!!!!!!!!!

I found it for pc, but not for mac…

I can work with 2.0v, but the pics are seen blurry and extremely pixeled (in photoshop cs3, after resized them and edited them, they are OK), and It works too much slow…

 I love blurb books, but I’ll have to change them ‘cause the software doesn’t work as it should…

Posted by
Holoturia
Jun 9, 2009 8:31am PDT
Permalink
Holoturia
 

Hilary,

 I don’t know for sure but the file size seems pretty small for a program installation.  Maybe a PC user could chime in?

Posted by
RolandOG
Jun 9, 2009 11:51am PDT
Permalink
RolandOG
 

2.0 didn’t work for me and I am annoyed I installed the new version without checking this forum. Please let me revert me to the earlier version 1.9 as I have now uninstalled 2.0.

Posted by
Malarky
Jun 10, 2009 12:38am PDT
Permalink
Malarky
 

I made a book in 9.1, very easy, but after downloading and bouncing a couple of times in my Dock, 2.0 won’t even open for me!! Have trashed and downloaded 2.0 over 20 times and am in fruitless email correspondence for past over 24 hours with Blurberati Help – have run Blurb’s diagnostics and also send them my system profiler info and console data (twice). 

 I have run Mac software update several times because the console log says there’s some kind of java issue. Argh!!! Now jshook mentions Hava … what the …? Has Blurb released software ahead of Mac’s own software updates?!

 Have lost all work on second book which had hours of typographical work therein. Now i can’t work on it at all! 

 I too wanted 9.1 back but had deleted it from downloads in an effort to get 2.0 to work. You can’t upload 9.1 books to be published anymore – I think I saw somewhere that you have to move any current 9.1 book into 2.0 to have it published. So if you’re in 9.1 you need to move your book into 2.0 or your wasting your time. But hey, at least you got something to move and to move into (maybe…)

Posted by
sparklepetal
Jun 10, 2009 4:25pm PDT
Permalink
sparklepetal
 

Can someone from Blurb please confirm or deny what sparklepetal is saying, that you cannot publish a book if you are using 1.9 and must switch to 2.0?

Posted by
RolandOG
Jun 10, 2009 8:02pm PDT
Permalink
RolandOG
 

Hi RolandOG,

Our FAQ on upgrading can answer your question:

Should I upgrade to a newer version of BookSmart?

If you’ve got Blurb BookSmart 1.9.1 or an earlier version on your computer, you will need to upgrade before you can upload and order your books.   ...

Hope this helps.

– Kathy

Posted by
kathybad
Jun 11, 2009 8:42am PDT
Permalink
kathybad
 

Thanks.  I’m relatively new to the site so I don’t know where to find all the info.

 I have 1.9.9 so I’m all set for now.

Posted by
RolandOG
Jun 11, 2009 10:50am PDT
Permalink
RolandOG
 

i thought there was a patch? how can we get it? i’m very frustrated, as are many other people, clearly.

Posted by
poetdiva
Jun 11, 2009 2:42pm PDT
Permalink
poetdiva
 

It beggars belief that any company can operate in this fashion. Yet again, another version of Booksmart is launched….and it simply doesn’t work as it should. Booksmart has been unstable from day one, and all we have had is one update after another, all of which do little more than the last version. Is it an American thing?....a California thing?.....a CEO thing?.....how is it possible that a company can continue to provide such relentlessly appalling service? Yes, the end result is excellent…but it seems to me it has little to do with the self-satisfied staff in San Francisco who blindly continue to churn out pretentious gobbledigook on their blogs and award meaningless "prizes" for their more gullible customers…..and more (indeed almost all) to do with Blurb’s independant and hard-working printers around the US and in Europe. Talk about Fiddling while Rome burned….here there is a veritable symphony orchestra warming up.

Posted by
peterkirchem
Jun 11, 2009 3:32pm PDT
Permalink
peterkirchem
 

I still have an old version on my computer, I can open Booksmart, but cant open my book that I have worked on for too many hours. It says it has been generated by the newer version. But this newer version just crashes and crashes….

Posted by
bonsta
Jun 13, 2009 6:25pm PDT
Permalink
bonsta
 

When i try to install booksmart i get a message saying " not a valid win 32 application"

Posted by
tdhall56
Jun 16, 2009 11:17am PDT
Permalink
tdhall56
 

Now I’m REALLY worried after reading everyone’s problems!!!  For me, 2.0 crashes within about 8 seconds of opening my second book project and there is only ONE picture in it….ONE PICTURE…nothing else…no text…NOTHING!!! The only picture I imported is the one I want on the cover.  I just started it!   My first book was an earlier version and worked fine and the book is beautiful.  DO NOT…I REPEAT…DO NOT download 2.0 until they fix this mess.  I’ll see what tech support tells me in the next couple days.  It’s so very obvious that it’s a BookSmart problem.  I don’t care what it is…please…just fix it so I can work on my book!

Posted by
3legmaxx
Jun 17, 2009 8:12pm PDT
Permalink
3legmaxx
 

yes, please make the old version available or I will find another service for my next photobook

Posted by
meizys
Jun 18, 2009 2:13pm PDT
Permalink
meizys
 

I’ve been trying all afternoon to try and create a book in 2.0 but getting seriously hacked off with how slow it is. I’ve crashed a couple of times and at other times had to manually force a close. The screen breaks up and duplicates over what I am trying to work on. I’ve managed to do 8 pages inthe same time I could have produced the whole book.

 Is there a solution to this at all. I notice a staff member has been on but hasn’t really answered anyone’s issues except to sat we have to upgrade to be able to upload and publish…..

Posted by
Kelack
Jun 21, 2009 11:59am PDT
Permalink
Kelack